[arch-commits] Commit in gegl/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Dec 21 09:10:30 UTC 2017


    Date: Thursday, December 21, 2017 @ 09:10:29
  Author: jgc
Revision: 313471

archrelease: copy trunk to extra-x86_64

Added:
  gegl/repos/extra-x86_64/PKGBUILD
    (from rev 313470, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  130 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 65 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-12-21 09:10:24 UTC (rev 313470)
+++ PKGBUILD	2017-12-21 09:10:29 UTC (rev 313471)
@@ -1,65 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-
-pkgname=gegl
-pkgver=0.3.20
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/"
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
-makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg' 'jasper'
-             'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 'gobject-introspection'
-             'git')
-optdepends=('libraw: raw plugin'
-            'openexr: openexr plugin'
-            'ffmpeg: ffmpeg plugin'
-            'suitesparse: matting-levin plugin'
-            'librsvg: svg plugin'
-            'jasper: jasper plugin'
-            'libtiff: tiff plugin'
-            'lua: lua plugin'
-            'lensfun: lens-correct plugin')
-_commit=517991898e8ea672d38aa0dd282bb59b84ae253d  # tags/GEGL_0_3_20^0
-source=("git+https://git.gnome.org/browse/gegl#commit=$_commit")
-sha256sums=('SKIP')
-
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  mkdir path
-  ln -s /usr/bin/python2 path/python
-
-  cd ${pkgname}
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
-    --with-libavformat --with-jasper --disable-docs \
-    --enable-workshop
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make -k check || :
-}
-
-package() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make DESTDIR="${pkgdir}" install
-}

Copied: gegl/repos/extra-x86_64/PKGBUILD (from rev 313470, gegl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-12-21 09:10:29 UTC (rev 313471)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.3.26
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="http://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg' 'jasper'
+             'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 'gobject-introspection'
+             'git')
+optdepends=('libraw: raw plugin'
+            'openexr: openexr plugin'
+            'ffmpeg: ffmpeg plugin'
+            'suitesparse: matting-levin plugin'
+            'librsvg: svg plugin'
+            'jasper: jasper plugin'
+            'libtiff: tiff plugin'
+            'lua: lua plugin'
+            'lensfun: lens-correct plugin')
+_commit=6352c9328dc92c75dafe94a56ff1e6636a8a4563  # tags/GEGL_0_3_26^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit")
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+    --with-libavformat --with-jasper --disable-docs \
+    --enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}



More information about the arch-commits mailing list